/* body{
    background-color: palevioletred;
    background-color: beige;
} */
/* 1080dp
720dp
540dp
480dp
360dp */

@media only screen and (min-width: 1249px) {

  /* ==========header.php========== */
  /* .div-header-menu {
    display: block !important;
  } */
}

@media only screen and (max-width: 1250px) {

  /* ==========header.php========== */
  .bg-logo {
    /* height: 40px !important; */
    padding: 10px 0 10px 10px !important;
    text-align: start;
  }

  /* .div-header {
    display: block;
    padding: 2vh;
    text-align: center;
  }

  .div-header-bars {
    position: relative;
    display: inline-block !important;
    width: 40px;
    font-size: 36px !important;
    padding: 0 1vh;
    color: #ffffff;
    cursor: pointer;
  }

  .div-header-bars>i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .div-header-menu {
    position: fixed;
    display: none;
    width: 50%;
    height: calc(100%);
    margin-top: 60px;
    white-space: nowrap;
    background-color: #f8f8ff;
    opacity: 0.95;
  } */

  .div-sub-header {
    position: relative;
    display: block;
    width: 100%;
    margin-top: 14px;
  }

  /* ==========mainpage.php========== */
  .div-display {
    top: 60px;
    top: 40px;
    height: calc(100% - 109px);
    height: calc(100% - 90px);
    min-height: 380px;
    padding-bottom: 46px;
  }

  /* ==========login.php========== */
  .div-login {
    margin-top: 52px;
  }
}

@media only screen and (max-width: 1100px) {

  /* ==========systemCheckListDetail.php========== */
  .slice-third,
  .slice-fourth {
    width: 49% !important;
  }

}

@media only screen and (max-width: 800px) {

  /* ==========login.php========== */
  .div-login {
    height: calc(100% - 84px) !important;
    margin-top: 42px !important;
    margin-bottom: 42px !important;
  }

  .div-login>.block2 {
    top: calc(50% - 70px) !important;
    width: auto !important;
  }

  .div-login-bg-left {
    width: 110px !important;
    top: calc(50% + 220px) !important;
    left: calc(50%) !important;
  }

  .login-box {
    background-color: #ffffff;
    border: 10px solid white;
    box-shadow: #4d94ff 6px 6px 22px -6px;
  }

  /* ==========purchaseRequestApproval.php========== */
  .option-status>div {
    display: flex !important;
    flex: 1 !important;
  }

  /* ==========systemCheckListDetail.php========== */
  /* .slice-fourth {
    width: 32%;
  } */
}

@media only screen and (max-width: 768px) {

  .option-status {
    max-width: 100% !important;
    margin: unset;
    margin-bottom: 20px;
  }

  .search-input {
    margin-bottom: 8px;
  }

  .search-btn-wrap {
    padding-right: 5px;
  }

  .toolbar-btn {
    width: 100%;
  }

  /* .lws-button-group {
        display: flex;
        gap: 10px;
        justify-content: flex-start; 
    }
    .lws-button-group .btn {
        flex: 1; 
        margin-bottom: 0;
    } */

  /* ==========receivingOrderDetail.php========== */
  .lws-button-group {
    display: flex;
    flex-direction: column;
  }

  .lws-button-group .btn {
    width: 100%;
    margin-bottom: 10px;
  }

  #submit_reject {
    order: 3;
  }

  #submit_signature, #submit_form {
    order: 1;
  }

  #submit_receiving, #submit_confirm {
    order: 2;
  }

  /* ==========L.php========== */
}

@media only screen and (max-width: 640px) {
  .div-header-menu {
    width: 90%;
  }

  .lws-card>.panel-body {
    padding: unset;
  }

  .btn-text {
    display: none;
  }

  .lws-radio-label {
    padding: 5px !important;
  }

  .session-name {
    max-width: 200px;
  }

  /* ==========changePassword.php========== */
  /* .slice-first {
        max-width: 85% !important;
    } */
  /* ==========systemCheckListDetail.php========== */
  .slice-center {
    flex-direction: column;
    background: #ffffff;
    border-left: 4px solid #3b82f6;
    border-radius: 8px;
    padding: 4px;
    margin-bottom: 14px;
  }

  .info>* label {
    width: 100%;
  }

  .slice-first,
  .slice-second,
  .slice-third,
  .slice-fourth {
    width: 100% !important;
  }

  .div-detail {
    margin: 10px 5% !important;
  }

  .div-table {
    margin: 0 5% !important;
    margin-bottom: 30px !important;
    background: none !important;
  }

  .div-table-body {
    margin: 15px 0;
  }

  .div-table-body>label {
    position: absolute;
    top: 0;
    left: 0;
    margin-left: 10px;
    font-size: 14px;
    /* color: grey; */
  }

  .div-table-body>input[type="text"] {
    text-overflow: ellipsis;
    white-space: nowrap;
    font-size: 16px;
    font-weight: 700;
    margin-top: 20px;
    width: 95% !important;
    background: #ffffff;
    border: 1px solid #f7f9fc !important;
    /* border-radius: 5px; */
    line-height: 42px !important;
    margin-left: 0;
  }

  .div-table-body.checkbox-fill {
    padding-left: calc(5% + 5px) !important;
  }

  .div-table-body.checkbox-fill>label {
    position: inherit !important;
    width: calc(100% - 50px) !important;
    padding-left: calc(5%);
  }

  .div-table-body.checkbox-fill>input[type="text"] {
    margin-top: 5px;
  }

  /* ==========dataProtection.php========== */
  .table-striped.dataprotection>thead>tr>th:nth-child(1),
  .table-striped.dataprotection>tbody>tr>td:nth-child(1) {
    display: none;
  }

  .title-detail {
    width: 100% !important;
    top: 5%;
    left: 50%;
    font-size: 30px !important;
  }

  .title-bg1 {
    height: 50%;
    left: 50% !important;
    transform: translate(-50%, 0%) !important;
  }

  .title-bg2 {
    height: 25%;
    bottom: calc(0% + 16px);
    left: 50% !important;
    transform: translate(-50%, 50%);
    width: 100px;
    background-repeat: repeat;
  }

  /* ==========changePassword.php========== */
  .title-bg3 {
    height: 25%;
    bottom: calc(0% + 30px);
    left: 50% !important;
    transform: translate(-50%, 50%);
    width: 84px;
    background-repeat: repeat;
  }

}